#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-7aEEYUwDIyz7Fjn6ws2WdW-dns-internal
key:                  dns-4.0.1-7aEEYUwDIyz7Fjn6ws2WdW-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  0f63998cfab18897261a872f731b9189
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-7aEEYUwDIyz7Fjn6ws2WdW-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-F66xIo1maxg6MMExHrEBEX
    attoparsec-0.14.1-AoMIcLScPFvBurgBnQ1JYu
    auto-update-0.1.6-7CmwPOLzzO917u8eaEwPLo base-4.15.0.0
    base16-bytestring-1.0.1.0-1W0eOyz2lRFFHRqvFSDAjG
    base64-bytestring-1.2.1.0-AgcOTUfPt1xEcCtc0fCnJ9
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-9RhUbtEXLk0CM6G85h2CZ5
    hourglass-0.2.12-5Dim5gVWqeAGFFoCZE7C0n
    iproute-1.7.11-9gz4OcdvJT3IBy3ap3cIgj mtl-2.2.2
    network-3.1.2.5-3buecdfcWbMG70gRpPQayx
    psqueues-0.2.7.2-7iIemHPgpvPUiGljcJleN

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HKHljA5yEmz8CnJRnn1dUh
key:                  dns-4.0.1-HKHljA5yEmz8CnJRnn1dUh
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  cd7c1a9029659e451dfb698060b22eb2
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HKHljA5yEmz8CnJRnn1dUh
depends:
    array-0.5.4.0 async-2.2.3-F66xIo1maxg6MMExHrEBEX
    attoparsec-0.14.1-AoMIcLScPFvBurgBnQ1JYu
    auto-update-0.1.6-7CmwPOLzzO917u8eaEwPLo base-4.15.0.0
    base16-bytestring-1.0.1.0-1W0eOyz2lRFFHRqvFSDAjG
    base64-bytestring-1.2.1.0-AgcOTUfPt1xEcCtc0fCnJ9
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-9RhUbtEXLk0CM6G85h2CZ5
    dns-4.0.1-7aEEYUwDIyz7Fjn6ws2WdW-dns-internal
    hourglass-0.2.12-5Dim5gVWqeAGFFoCZE7C0n
    iproute-1.7.11-9gz4OcdvJT3IBy3ap3cIgj mtl-2.2.2
    network-3.1.2.5-3buecdfcWbMG70gRpPQayx
    psqueues-0.2.7.2-7iIemHPgpvPUiGljcJleN

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

